summaryrefslogtreecommitdiff
path: root/hooks/pre-commit
diff options
context:
space:
mode:
Diffstat (limited to 'hooks/pre-commit')
-rwxr-xr-xhooks/pre-commit6
1 files changed, 3 insertions, 3 deletions
diff --git a/hooks/pre-commit b/hooks/pre-commit
index 245c4b7..661c78e 100755
--- a/hooks/pre-commit
+++ b/hooks/pre-commit
@@ -2,11 +2,11 @@
failed=0
for filename in hooks/pre-commit.*; do
- if [ -f "hooks/$filename" ]; then
- if $("./hooks/$filename") != "0"; then
+ if [ -f "$filename" ]; then
+ if ! $filename; then
failed=1
fi
fi
done
-exit failed
+exit $failed